# Summary

- [Introduction](README.md)
- [Getting Started](getting-started/index.md)
	- [Installing Twine](getting-started/installing.md)
	- [Basic Concepts](getting-started/basic-concepts.md)
	- [Getting Around in Twine](getting-started/getting-around.md)
	- [Updating Twine](getting-started/updating.md)
	- [Uninstalling Twine](getting-started/uninstalling.md)
- [Using the Story Library](story-library/index.md)
	- [Viewing Stories](story-library/viewing.md)
	- [Creating, Copying and Importing Stories](story-library/creating.md)
	- [Editing Stories](story-library/editing.md)
	- [Renaming Stories](story-library/renaming.md)
	- [Archiving and Exporting Stories](story-library/exporting.md)
	- [Deleting Stories](story-library/deleting.md)
	- [Tagging Stories](story-library/tagging.md)
- [Editing Stories](editing-stories/index.md)
	- [Navigating the Story Map](editing-stories/navigating.md)
	- [Undoing and Redoing](editing-stories/undoing.md)
	- [Selecting and Moving Passages](editing-stories/selecting.md)
	- [Editing Passages](editing-stories/editing-passages.md)
	- [Linking Passages](editing-stories/linking-passages.md)
	- [Deleting Passages](editing-stories/deleting.md)
	- [Tagging Passages](editing-stories/tagging.md)
	- [Finding and Replacing Text](editing-stories/finding-replacing.md)
	- [Renaming a Story](editing-stories/renaming.md)
	- [Changing the Story Format](editing-stories/changing-story-format.md)
	- [Viewing Story Statistics](editing-stories/stats.md)
	- [Editing Story JavaScript and CSS](editing-stories/js-and-css.md)
- [Publishing Your Work](publishing/index.md)
	- [Testing a Story](publishing/testing.md)
	- [Proofing a Story](publishing/proofing.md)
	- [Playing a Story](publishing/playing.md)
	- [Publishing a Story](publishing/publishing.md)
- [Managing Story Formats](story-formats/index.md)
	- [Viewing Story Formats](story-formats/viewing.md)
	- [Changing the Default Story Format](story-formats/default.md)
	- [Changing the Proofing Format](story-formats/proofing.md)
	- [Adding a Story Format](story-formats/adding.md)
	- [Removing a Story Format](story-formats/removing.md)
	- [Disabling Story Format Extensions](story-formats/extensions.md)
	- [How Twine Manages Story Format Versions](story-formats/versions.md)
- [Customing Twine With Preferences](preferences/index.md)
- [Limitations](limitations/index.md)
	- [Large Stories](limitations/large-stories.md)
	- [Combining Stories](limitations/combining.md)
	- [Collaborating on Stories](limitations/collaborating.md)
	- [Using Images and Multimedia](limitations/multimedia.md)
	- [Using Source Control](limitations/source-control.md)
- [Troubleshooting Problems](troubleshooting/index.md)
	- [Backups](troubleshooting/backups.md)
	- [Viewing Local Storage Directly](troubleshooting/local-storage.md)
	- [If An Error Message Appears While Editing](troubleshooting/error-message.md)
	- [If Twine Won't Start](troubleshooting/wont-start.md)
	- [If Twine Lost Your Story](troubleshooting/lost-story.md)
	- [If Your Story Is Damaged](troubleshooting/damaged-story.md)